Summary:	Shane's Chess Information Database
Name:		scid
Version:	4.6.2
Release:	%mkrel 3
Group:		Games/Boards
License:	GPL
Source0:	http://downloads.sourceforge.net/project/scid/Scid/Scid%204.6/%{name}-%{version}.zip
Source1:	%{name}.png
Patch0:		scid-4.6.2-mga-paths.patch
Patch1:		scid-4.6.2-signed-char.patch
URL:		http://scid.sourceforge.net
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
BuildRequires:	pkgconfig(zlib)
Recommends:	tcl-snack
Conflicts:	scidvspc

%description
Scid (Shane's Chess Information Database) is a free chess database app.

With Scid you can maintain a database of chess games, search games by
many criteria, view graphical trends, and produce printable reports on
players and openings.

You can also analyze games with the Xboard or UCI compatible chess
program, and even use Scid to study endings with endgame tablebases.

With Scid you can also play against various engines, or on the Internet.

%prep
%setup -q -n %{name}-src
%autopatch -p1

%build
./configure BINDIR=%{_bindir} SHAREDIR=%{_datadir}/%{name}
%make

%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_datadir}/%{name}
%makeinstall BINDIR=%{buildroot}%{_bindir} SHAREDIR=%{buildroot}%{_datadir}/%{name}
sed -i -e 's@%{buildroot}@@g' %{buildroot}%{_bindir}/scid
cp -ar sounds %{buildroot}%{_datadir}/%{name}/sounds

mkdir -p %{buildroot}%{_iconsdir}/hicolor/128x128/apps
cp %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/128x128/apps

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Scid
Comment=Chess games database
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=BoardGame;
EOF

%files
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*/*/*/%{name}.*
%doc ChangeLog COPYING TODO bitmaps/ help/


%changelog
* Mon Oct 03 2016 pterjan <pterjan> 4.6.2-3.mga6
+ Revision: 1058211
- Fix build when char defaults to unsigned (e.g. arm)

* Sat Feb 20 2016 umeabot <umeabot> 4.6.2-2.mga6
+ Revision: 971989
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 danf <danf> 4.6.2-1.mga6
+ Revision: 894011
- Upgraded to ver. 4.6.2
- Enabled sound

* Wed Oct 15 2014 umeabot <umeabot> 4.4-4.mga5
+ Revision: 747086
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.4-3.mga5
+ Revision: 689054
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 4.4-2.mga4
+ Revision: 545003
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dams <dams> 4.4-1.mga4
+ Revision: 500588
- new version 4.4

* Mon Jan 14 2013 umeabot <umeabot> 4.3-4.mga3
+ Revision: 381813
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 26 2012 dams <dams> 4.3-3.mga3
+ Revision: 274516
- Add a conflict with 'scidvspc'

* Thu Jul 26 2012 dams <dams> 4.3-2.mga3
+ Revision: 274494
- update '%%summary' and '%%description'

* Fri Jul 20 2012 dams <dams> 4.3-1.mga3
+ Revision: 272852
- imported package scid

